---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/intelligence/operators#article
headline: Operators endpoints
description: Overview of Intelligence API (v3) - Operators endpoints
url: https://www.twilio.com/docs/api/intelligence/operators
inLanguage: en
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# Operators endpoints

> \[!NOTE]
>
> Conversation Intelligence, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the [Predictive and Generative AI/ML Features Addendum](https://www.twilio.com/en-us/legal/ai-terms/predictive-generative-ai-features). For more details on AI usage and data, see [AI Nutrition Facts for Conversation Intelligence](/docs/conversations/intelligence/ai-nutrition-facts).
>
> Conversation Intelligence is not PCI compliant or a HIPAA Eligible Service and should not be used in workflows that are subject to HIPAA or PCI.
>
> Conversations products are only available in the [new Twilio Console](https://1console.twilio.com). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

## Overview

Define and manage language operators. Conversational Intelligence uses GenAI-powered language operators to transform conversation text into structured insights.

Language operators produce structured outputs and can be reused across multiple intelligence configurations. Language operators are executed automatically according to rules you define.

Use Twilio-authored language operators for common use cases (Sentiment, Summary, Next Best Response, and Script Adherence) or create custom language operators to meet your business needs.

## Endpoints

* [`POST /v3/ControlPlane/Operators`](/docs/api/intelligence/operators/create-operator) - Create an Operator
* [`GET /v3/ControlPlane/Operators`](/docs/api/intelligence/operators/list-operators) - Retrieve a list of Operators
* [`GET /v3/ControlPlane/Operators/{id}`](/docs/api/intelligence/operators/fetch-operator) - Retrieve an Operator
* [`PUT /v3/ControlPlane/Operators/{id}`](/docs/api/intelligence/operators/update-operator) - Update an Operator
* [`DELETE /v3/ControlPlane/Operators/{id}`](/docs/api/intelligence/operators/delete-operator) - Delete an Operator
* [`GET /v3/ControlPlane/Operators/{id}/Versions`](/docs/api/intelligence/operators/list-operator-versions) - Retrieve a list of Operator Versions
* [`GET /v3/ControlPlane/Operators/{id}/Versions/{version}`](/docs/api/intelligence/operators/fetch-operator-version) - Retrieve a specific Operator Version
